eID middleware |

# eIDMW::PTEID_EIdFullDoc Class Reference

Class for the full document Eid. More...

`#include <eidlib.h>`

Inheritance diagram for eIDMW::PTEID_EIdFullDoc:

List of all members.

## Public Member Functions
virtual PTEIDSDK_API | ~PTEID_EIdFullDoc ()
| Destructor.
## Protected Member Functions
| PTEID_EIdFullDoc (const SDK_Context *context, APL_EIdFullDoc *impl)
| For internal use : Constructor.
## Friends
PTEID_EIdFullDoc & | PTEID_EIDCard::getFullDoc ()
| For internal use : This method must access protected constructor.

## Detailed Description

Class for the full document Eid.

## Constructor & Destructor Documentation

virtual PTEIDSDK_API eIDMW::PTEID_EIdFullDoc::~PTEID_EIdFullDoc | ( |  | ) | `[virtual]`

Destructor.

eIDMW::PTEID_EIdFullDoc::PTEID_EIdFullDoc | ( | const SDK_Context * | context,
|  | APL_EIdFullDoc * | impl |
| ) |  |  | `[protected]`

For internal use : Constructor.

## Friends And Related Function Documentation

PTEID_EIdFullDoc& PTEID_EIDCard::getFullDoc | ( |  | ) | `[friend]`

For internal use : This method must access protected constructor.

The documentation for this class was generated from the following file:

- eidlib.h